Bug 214389

Summary: devel/py-pyicu: update to 1.9.4
Product: Ports & Packages Reporter: Jan Beich <jbeich>
Component: Individual Port(s)Assignee: Jan Beich <jbeich>
Status: Closed FIXED    
Severity: Affects Only Me CC: bland, wg
Priority: --- Keywords: patch
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://github.com/ovalhub/pyicu/compare/6e8f58f...fc60f44
Bug Depends on:    
Bug Blocks: 214384    
Attachments:
Description Flags
v1
none
v1.1 jbeich: maintainer-approval? (bland)

Description Jan Beich freebsd_committer 2016-11-10 12:32:28 UTC
ICU 58.1 no longer provides icul[ex]. It doesn't look like this port needs those. See URL for other changes.
Comment 1 Jan Beich freebsd_committer 2016-11-10 12:37:18 UTC
Created attachment 176855 [details]
v1

poudriere bulk -t is green for 93i386, 93amd64, 101i386, 103amd64, 110i386. Ditto for devel/py3-pyicu.
Comment 2 Jan Beich freebsd_committer 2016-11-10 12:39:03 UTC
How exactly sysutils/py-freenas.cli depends on this port? I don't see "import icu" or something like that in order to check for regressions.
Comment 3 Jan Beich freebsd_committer 2016-11-10 12:55:04 UTC
Comment on attachment 176855 [details]
v1

Oops, with current devel/icu 57.1 post-patch breaks runtime:

>>> import icu
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/local/lib/python2.7/site-packages/icu.py", line 37, in <module>
    from docs import *
  File "/usr/local/lib/python2.7/site-packages/docs.py", line 23, in <module>
    from _icu import *
ImportError: /usr/local/lib/python2.7/site-packages/_icu.so: Undefined symbol "_ZNK3icu14LEFontInstance10getSubFontEPKtPiiiR11LEErrorCode"
Comment 4 Jan Beich freebsd_committer 2016-11-10 13:01:19 UTC
Created attachment 176859 [details]
v1.1

Dropped post-patch. It'll be part of bug 214384.
Comment 5 commit-hook freebsd_committer 2016-11-19 18:21:21 UTC
A commit references this bug:

Author: jbeich
Date: Sat Nov 19 18:20:31 UTC 2016
New revision: 426524
URL: https://svnweb.freebsd.org/changeset/ports/426524

Log:
  devel/py-pyicu: update to 1.9.4 to unbreak against ICU 58.1

  Changes:	https://github.com/ovalhub/pyicu/compare/6e8f58f...fc60f44
  PR:		214389
  Approved by:	portmgr blanket

Changes:
  head/devel/py-pyicu/Makefile
  head/devel/py-pyicu/distinfo
Comment 6 Jan Beich freebsd_committer 2016-11-19 18:26:04 UTC
I've landed under blanket (rather than waiting for timeout) as bug 214384 won't block on leaf consumers.
Comment 7 Alexander Nedotsukov freebsd_committer 2016-11-20 14:25:17 UTC
Thanks!